[Overview][Types][Classes][Procedures and functions][Index] | Reference for unit 'LazDialogs' (#lcl)

# TLazarusFileDialogForm.HandleEditChange

Event handler for changes to the value in the SaveEdit control.

## Declaration

Source position: lazdialogs.pas line 42

`public procedure TLazarusFileDialogForm.HandleEditChange(`
`ASender: TObject`
`);`

## Arguments

`ASender` |  | Component generating the event notification.

## Description

HandleEditChange is a procedure used as the event handler for changes to the value in the SaveEdit control. It is assigned to the control in the Initialize method.

HandleEditChange ensures that the OK button in ButtonPanel is enabled or disabled based on the value in SaveEdit; it is enabled when the value for SaveEdit is not an empty string ('').

## See also

TLazarusFileDialogForm.SaveEdit |  | Edit control used for a FileName on the dialog form.
TLazarusFileDialogForm.ButtonPanel |  | Button panel for the Lazarus dialog form.